Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.callTree
Class AbstractCallTreeNode<T>

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraphElement<O>
          kieker.tools.traceAnalysis.filter.visualization.graph.AbstractVertex<AbstractCallTreeNode<T>,WeightedDirectedCallTreeEdge<T>,MessageTrace>
              kieker.tools.traceAnalysis.filter.visualization.callTree.AbstractCallTreeNode<T>

Type Parameters:
  `T` - The type of the entity to be stored in the node.

Direct Known Subclasses:
  AbstractAggregatedCallTreeNode, TraceCallTreeNode

    public abstract class AbstractCallTreeNode<T>

extends AbstractVertex<AbstractCallTreeNode<T>,WeightedDirectedCallTreeEdge<T>,MessageTrace>

This is an abstract base for a single node within a call tree.

Since:
  1.1
Author:
  Andre van Hoorn

Constructor Summary
`AbstractCallTreeNode(int id, T entity, boolean rootNode, MessageTrace origin, IOriginRetentionPolicy originPolicy)` This constructor uses the given parameters to initialize the fields of this class.

Method Summary
`Collection<WeightedDirectedCallTreeEdge<T>>` | `getChildEdges()` Delivers the child edges.
`T` | `getEntity()` Delivers the stored entity.
`int` | `getId()`
`Collection<WeightedDirectedCallTreeEdge<T>>` | `getOutgoingEdges()` Returns the outgoing edges of this vertex.
`boolean` | `isRootNode()` Tells whether the current node is a root node.
`abstract AbstractCallTreeNode<T>` | `newCall(T destination, MessageTrace origin, IOriginRetentionPolicy originPolicy)`

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractVertex
`addDecoration, getDecoration, getDecorations`

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraphElement
`addOrigin, getColor, getDescription, getIdentifier, getOrigins, setColor, setDescription`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCallTreeNode

    public AbstractCallTreeNode(int id,
                                T entity,
                                boolean rootNode,
                                MessageTrace origin,
                                IOriginRetentionPolicy originPolicy)

  This constructor uses the given parameters to initialize the fields of this class.

  Parameters:
    `id` - The identifier of this node.
    `entity` - The content of this node.
    `rootNode` - Determines whether this node is the root node or not.
    `origin` - The meta data of this node.
    `originPolicy` - The origin policy.

Method Detail

### getEntity

    public final T getEntity()

  Delivers the stored entity.

  Returns:
    The content of this node.

### getChildEdges

    public final Collection<WeightedDirectedCallTreeEdge<T>> getChildEdges()

  Delivers the child edges.

  Returns:
    A collection containing the child edges.

### newCall

    public abstract AbstractCallTreeNode<T> newCall(T destination,
                                                    MessageTrace origin,
                                                    IOriginRetentionPolicy originPolicy)

### getId

    public final int getId()

### isRootNode

    public final boolean isRootNode()

  Tells whether the current node is a root node.

  Returns:
    true if and only if the current node has to be interpreted as a root node.

### getOutgoingEdges

    public Collection<WeightedDirectedCallTreeEdge<T>> getOutgoingEdges()

  Description copied from class: `AbstractVertex`
  Returns the outgoing edges of this vertex.

  Specified by:
    `getOutgoingEdges` in class `AbstractVertex<AbstractCallTreeNode<T>,WeightedDirectedCallTreeEdge<T>,MessageTrace>`
  Returns:
    See above

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net